POST api/CompQA/PostCompanyQA
Request Information
URI Parameters
None.
Body Parameters
QACompanyDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| CaseNo | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 8000 |
|
| CorporationCode | string |
String length: inclusive between 0 and 10 |
|
| WorkLocationCode | string |
String length: inclusive between 0 and 15 |
|
| OnsiteLocationId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"CaseNo": 1,
"EmployeeId": "sample string 2",
"CorporationCode": "sample string 3",
"WorkLocationCode": "sample string 4",
"OnsiteLocationId": 1
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfQACompanyDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | QACompanyDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"CaseNo": 1,
"EmployeeId": "sample string 2",
"CorporationCode": "sample string 3",
"WorkLocationCode": "sample string 4",
"OnsiteLocationId": 1
},
"totalCount": 3
}